### Name: calc.max.sdi
### Title: Calculate the maximum stand density index using the CONIFERS
###   forest growth model
### Aliases: calc.max.sdi
### Keywords: models

### ** Examples

library( rconifers )

## set the variant to the SWO variant

set.species.map( set.variant(0) )

# load and display CONIFERS swo example plots
data( plots.swo )
print( plots.swo )

# load and display CONIFERS example plants
data( plants.swo )
print( plants.swo )

# create the sample.data list object
sample.swo <- list( plots=plots.swo, plants=plants.swo, age=3, x0=0.0 )
class(sample.swo)  <- "sample.data"

# print the maximum stand density index for the current settings
print( calc.max.sdi( sample.swo ) )




