### Name: impute
### Title: Imputes missing values using the CONIFERS imputation functions
### Aliases: impute
### Keywords: models

### ** Examples

library( rconifers )

## set the variant to the SWO variant and set species map
set.species.map( set.variant(0) )

## grow the data that was originally swo in the smc variant
# load and display CONIFERS example plots
data( plots.swo )
print( plots.swo )

# load and display CONIFERS example plants
data( plants.swo )
print( plants.swo )

# view the current crown widths for first 7 obs
plants.swo[1:7,]
# remove crown.width observations from plants 3 to 6 to test
# the impute function

blanks <- c(3:6)
plants.swo[blanks,]$crown.width <- NA
plants.swo[1:7,]

# create the sample.data list object
sample.swo.3 <- list( plots=plots.swo, plants=plants.swo, age=3, x0=0.0 )
class(sample.swo.3)  <- "sample.data"

# fill in missing values
sample.swo.3.imp <- impute( sample.swo.3 )

# view imputed values
sample.swo.3.imp$plants[1:7,]




